io.agora.rtc

## Class LastmileProbeResult

- java.lang.Object
- - io.agora.rtc.LastmileProbeResult

-     public class LastmileProbeResult
      extends java.lang.Object

  Result of last-mile network probe test.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private LastmileProbeOneWayResult` | `downlinkReport` Downlink probe result
    `private int` | `rtt` Round-trip time (ms)
    `private int` | `state` Probe state
    `private LastmileProbeOneWayResult` | `uplinkReport` Uplink probe result

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastmileProbeResult()` Default constructor for LastmileProbeResult.
    `LastmileProbeResult(int state, LastmileProbeOneWayResult uplinkReport, LastmileProbeOneWayResult downlinkReport, int rtt)` Constructs LastmileProbeResult with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LastmileProbeOneWayResult` | `getDownlinkReport()` Gets the downlink probe result.
    `int` | `getRtt()` Gets the round-trip time (ms).
    `int` | `getState()` Gets the probe state.
    `LastmileProbeOneWayResult` | `getUplinkReport()` Gets the uplink probe result.
    `void` | `setDownlinkReport(LastmileProbeOneWayResult downlinkReport)` Sets the downlink probe result.
    `void` | `setRtt(int rtt)` Sets the round-trip time (ms).
    `void` | `setState(int state)` Sets the probe state.
    `void` | `setUplinkReport(LastmileProbeOneWayResult uplinkReport)` Sets the uplink probe result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### state

          private int state

      Probe state

    - #### uplinkReport

          private LastmileProbeOneWayResult uplinkReport

      Uplink probe result

    - #### downlinkReport

          private LastmileProbeOneWayResult downlinkReport

      Downlink probe result

    - #### rtt

          private int rtt

      Round-trip time (ms)

  - ### Constructor Detail

    - #### LastmileProbeResult

          public LastmileProbeResult()

      Default constructor for LastmileProbeResult.

    - #### LastmileProbeResult

          public LastmileProbeResult(int state,
                                     LastmileProbeOneWayResult uplinkReport,
                                     LastmileProbeOneWayResult downlinkReport,
                                     int rtt)

      Constructs LastmileProbeResult with all parameters.
      Parameters:
        `state` - Probe state
        `uplinkReport` - Uplink probe result
        `downlinkReport` - Downlink probe result
        `rtt` - Round-trip time (ms)

  - ### Method Detail

    - #### getState

          public int getState()

      Gets the probe state.
      Returns:
        Probe state

    - #### setState

          public void setState(int state)

      Sets the probe state.
      Parameters:
        `state` - Probe state

    - #### getUplinkReport

          public LastmileProbeOneWayResult getUplinkReport()

      Gets the uplink probe result.
      Returns:
        Uplink probe result

    - #### setUplinkReport

          public void setUplinkReport(LastmileProbeOneWayResult uplinkReport)

      Sets the uplink probe result.
      Parameters:
        `uplinkReport` - Uplink probe result

    - #### getDownlinkReport

          public LastmileProbeOneWayResult getDownlinkReport()

      Gets the downlink probe result.
      Returns:
        Downlink probe result

    - #### setDownlinkReport

          public void setDownlinkReport(LastmileProbeOneWayResult downlinkReport)

      Sets the downlink probe result.
      Parameters:
        `downlinkReport` - Downlink probe result

    - #### getRtt

          public int getRtt()

      Gets the round-trip time (ms).
      Returns:
        Round-trip time (ms)

    - #### setRtt

          public void setRtt(int rtt)

      Sets the round-trip time (ms).
      Parameters:
        `rtt` - Round-trip time (ms)